// pages/show/show.js
const App = getApp(); 
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imagePath: '',
    username:'',
    wxDisplay:true,
    alDisplay:true,
    qqDisplay:true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      navH: App.globalData.navHeight
    })
    this.imgUrl();
    wx.showModal({
      showCancel: false,
      title: '提示',
      content: '请在此界面进行截图，之后会自动返回主界面',
      confirmText: "知道了",
    })
    wx.onUserCaptureScreen(function (res) {
      wx.removeStorageSync('createInfo');
      wx.switchTab({
        url: '../index/index'
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  imgUrl :function(){
    let webUrl = "http://www.powerrain.cn/qrcode/html/index.html?id="
    let createInfo = wx.getStorageSync('createInfo');
    let pageId = createInfo['id'];
    this.setData({
      username: createInfo['username'],
      qqDisplay:createInfo['qState'],
      wxDisplay:createInfo['wState'],
      alDisplay: createInfo['aState']   
    })                            
    if(pageId){
      let item = webUrl + pageId;
      item = "http://qr.liantu.com/api.php?text=" + item;
      this.setData({
        imagePath: item  //数字转字符串
      });
    }else {
      wx.showModal({
        title: "警告",
        content: "生成失败",
        showCancel: false,
        confirmText: "重试",
        success(res) {
          wx.navigateTo({
            url: '../create/create'
          })
        }
      })
    }
  }
})